For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTUpload File
      • DELDelete File
      • GETGet File Scan Status
      • POSTUpload File
      • POSTGet Files Upload Status
LogoLogo
Login
Login
Data APIFiles

Delete File

DELETE
/v1/vaults/:vaultID/:tableName/:ID/files/:columnName
DELETE
/v1/vaults/:vaultID/:tableName/:ID/files/:columnName
$curl -X DELETE https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID/tableName/ID/files/columnName \
> -H "Authorization: Bearer <token>"
1{
2 "skyflow_id": "4423ccdf-75eb-4e2e-abfc-acb43b1440cd",
3 "deleted": true
4}
Deletes a file from a specified record.
Was this page helpful?
Previous

Get File Scan Status

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired
tableNamestringRequired
IDstringRequired
columnNamestringRequired

Response

OK
skyflow_idstring
ID of the record.
deletedboolean

If true, the file was deleted.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error